Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz
Class CriticalSchedulerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.quartz.SchedulerException
                  org.quartz.CriticalSchedulerException

All Implemented Interfaces:
  Serializable

    public class CriticalSchedulerException

extends SchedulerException

An exception that is thrown to indicate that there has been a critical failure within the scheduler's core services (such as loss of database connectivity).

Author:
  James House
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.quartz.SchedulerException
`ERR_BAD_CONFIGURATION, ERR_CLIENT_ERROR, ERR_COMMUNICATION_FAILURE, ERR_JOB_EXECUTION_THREW_EXCEPTION, ERR_JOB_LISTENER, ERR_JOB_LISTENER_NOT_FOUND, ERR_PERSISTENCE, ERR_PERSISTENCE_CALENDAR_DOES_NOT_EXIST, ERR_PERSISTENCE_CRITICAL_FAILURE, ERR_PERSISTENCE_JOB_DOES_NOT_EXIST, ERR_PERSISTENCE_TRIGGER_DOES_NOT_EXIST, ERR_THREAD_POOL, ERR_THREAD_POOL_CRITICAL_FAILURE, ERR_THREAD_POOL_EXHAUSTED, ERR_TIME_BROKER_FAILURE, ERR_TRIGGER_LISTENER, ERR_TRIGGER_LISTENER_NOT_FOUND, ERR_TRIGGER_THREW_EXCEPTION, ERR_UNSPECIFIED, ERR_UNSUPPORTED_FUNCTION_IN_THIS_CONFIGURATION`

Constructor Summary
`CriticalSchedulerException(String msg, int errCode)` Create a `CriticalSchedulerException` with the given message.

Method Summary

Methods inherited from class org.quartz.SchedulerException
`getErrorCode, getUnderlyingException, isClientError, isConfigurationError, isJobListenerError, isPersistenceError, isThreadPoolError, isTriggerListenerError, setErrorCode, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CriticalSchedulerException

    public CriticalSchedulerException(String msg,
                                      int errCode)

  Create a `CriticalSchedulerException` with the given message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2012, Terracotta, Inc.